.\" Copyright (c) 1993, 1994  X Consortium
.\"
.\" Permission is hereby granted, free of charge, to any person obtaining a
.\" copy of this software and associated documentation files (the "Software"),
.\" to deal in the Software without restriction, including without limitation
.\" the rights to use, copy, modify, merge, publish, distribute, sublicense,
.\" and/or sell copies of the Software, and to permit persons to whom the
.\" Software furnished to do so, subject to the following conditions:
.\"
.\" The above copyright notice and this permission notice shall be included in
.\" all copies or substantial portions of the Software.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
.\" IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
.\" FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
.\" THE X CONSORTIUM BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
.\" WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
.\" OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
.\" SOFTWARE.
.\"
.\" Except as contained in this notice, the name of the X Consortium shall not
.\" be used in advertising or otherwise to promote the sale, use or other
.\" dealing in this Software without prior written authorization from the
.\" X Consortium.
.\"
.ds tk X Toolkit
.ds xT X Toolkit Intrinsics \- C Language Interface
.ds xI Intrinsics
.ds xW X Toolkit Athena Widgets \- C Language Interface
.ds xL Xlib \- C Language X Interface
.ds xC Inter-Client Communication Conventions Manual
.ds Rn 3
.ds Vn 2.2
.hw XtDisplay-Of-Object XtScreen-Of-Object XtWindow-Of-Object wid-get
.na
.TH XtDisplay __libmansuffix__ __xorgversion__ "XT FUNCTIONS"
.SH NAME
XtDisplay, XtDisplayOfObject, XtScreen, XtScreenOfObject, XtWindow, XtWindowOfObject \- obtain window information about a widget
.SH SYNTAX
#include <X11/Intrinsic.h>
.HP
Display *XtDisplay(Widget \fIw\fP);
.HP
Display *XtDisplayOfObject(Widget \fIobject\fP);
.HP
Screen *XtScreen(Widget \fIw\fP);
.HP
Screen *XtScreenOfObject(Widget \fIobject\fP);
.HP
Window XtWindow(Widget \fIw\fP);
.HP
Window XtWindowOfObject(Widget \fIobject\fP);
.SH ARGUMENTS
.IP \fIw\fP 1i
Specifies the widget.
.LP
.IP \fIobject\fP 1i
Specifies the widget.
.SH DESCRIPTION
.B XtDisplay
returns the display pointer for the specified widget.
.LP
.B XtDisplayOfObject
returns the display pointer for the specified object.
.LP
.B XtScreen
returns the screen pointer for the specified widget.
.LP
.B XtScreenOfObject
returns the screen pointer for the specified object.
.LP
.B XtWindow
returns the window of the specified widget.
.LP
.B XtWindowOfObject
returns the window of the specified object.
.SH "SEE ALSO"
.br
\fI\*(xT\fP
.br
\fI\*(xL\fP
